Bug 1122811 - [RFE] hammer --listen/--remote to speed up shell scripting
Summary: [RFE] hammer --listen/--remote to speed up shell scripting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 07:15 UTC by Dominic Cleal
Modified: 2017-02-09 19:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 19:39:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6762 None None None 2016-04-22 16:29:25 UTC

Description Dominic Cleal 2014-07-24 07:15:39 UTC
Description of problem:
To make shell scripting with Hammer faster, it would be good to have a "--listen" mode which spawns Hammer into the background and then allows "--remote" to connect to the already-running process.

Modelled on guestfish: http://libguestfs.org/guestfish.1.html#remote-control-guestfish-over-a-socket

Comment 1 Dominic Cleal 2014-07-24 07:16:13 UTC
Created redmine issue http://projects.theforeman.org/issues/6762 from this bug

Comment 3 Og Maciel 2017-02-09 19:39:16 UTC
I do not envision this bug being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.


Note You need to log in before you can comment on or make changes to this bug.